complete -c maturin -n "__fish_use_subcommand" -s v -l verbose -d 'Use verbose output'
complete -c maturin -n "__fish_use_subcommand" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c maturin -n "__fish_use_subcommand" -s V -l version -d 'Print version'
complete -c maturin -n "__fish_use_subcommand" -f -a "build" -d 'Build the crate into python packages'
complete -c maturin -n "__fish_use_subcommand" -f -a "publish" -d 'Build and publish the crate as python packages to pypi'
complete -c maturin -n "__fish_use_subcommand" -f -a "list-python" -d 'Search and list the available python installations'
complete -c maturin -n "__fish_use_subcommand" -f -a "develop" -d 'Install the crate as module in the current virtualenv'
complete -c maturin -n "__fish_use_subcommand" -f -a "sdist" -d 'Build only a source distribution (sdist) without compiling'
complete -c maturin -n "__fish_use_subcommand" -f -a "init" -d 'Create a new cargo project in an existing directory'
complete -c maturin -n "__fish_use_subcommand" -f -a "new" -d 'Create a new cargo project'
complete -c maturin -n "__fish_use_subcommand" -f -a "generate-ci" -d 'Generate CI configuration'
complete -c maturin -n "__fish_use_subcommand" -f -a "upload" -d 'Upload python packages to pypi'
complete -c maturin -n "__fish_use_subcommand" -f -a "pep517" -d 'Backend for the PEP 517 integration. Not for human consumption'
complete -c maturin -n "__fish_use_subcommand" -f -a "completions" -d 'Generate shell completions'
complete -c maturin -n "__fish_use_subcommand" -f -a "zig" -d 'Zig linker wrapper'
complete -c maturin -n "__fish_use_subcommand" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c maturin -n "__fish_seen_subcommand_from build" -l compatibility -d 'Control the platform tag on linux' -r
complete -c maturin -n "__fish_seen_subcommand_from build" -s i -l interpreter -d 'The python versions to build wheels for, given as the executables of interpreters such as `python3.9` or `/usr/bin/python3.8`' -r -F
complete -c maturin -n "__fish_seen_subcommand_from build" -s b -l bindings -d 'Which kind of bindings to use' -r -f -a "{pyo3	'',pyo3-ffi	'',cffi	'',uniffi	'',bin	''}"
complete -c maturin -n "__fish_seen_subcommand_from build" -s o -l out -d 'The directory to store the built wheels in. Defaults to a new "wheels" directory in the project\'s target directory' -r -F
complete -c maturin -n "__fish_seen_subcommand_from build" -l auditwheel -d 'Audit wheel for manylinux compliance' -r -f -a "{repair	'Audit and repair wheel for manylinux compliance',check	'Check wheel for manylinux compliance, but do not repair',skip	'Don\'t check for manylinux compliance'}"
complete -c maturin -n "__fish_seen_subcommand_from build" -s j -l jobs -d 'Number of parallel jobs, defaults to # of CPUs' -r
complete -c maturin -n "__fish_seen_subcommand_from build" -l profile -d 'Build artifacts with the specified Cargo profile' -r
complete -c maturin -n "__fish_seen_subcommand_from build" -s F -l features -d 'Space or comma separated list of features to activate' -r
complete -c maturin -n "__fish_seen_subcommand_from build" -l target -d 'Build for the target triple' -r
complete -c maturin -n "__fish_seen_subcommand_from build" -l target-dir -d 'Directory for all generated artifacts' -r -F
complete -c maturin -n "__fish_seen_subcommand_from build" -s m -l manifest-path -d 'Path to Cargo.toml' -r -F
complete -c maturin -n "__fish_seen_subcommand_from build" -l color -d 'Coloring: auto, always, never' -r
complete -c maturin -n "__fish_seen_subcommand_from build" -l config -d 'Override a configuration value (unstable)' -r
complete -c maturin -n "__fish_seen_subcommand_from build" -s Z -d 'Unstable (nightly-only) flags to Cargo, see \'cargo -Z help\' for details' -r
complete -c maturin -n "__fish_seen_subcommand_from build" -l timings -d 'Timing output formats (unstable) (comma separated): html, json' -r
complete -c maturin -n "__fish_seen_subcommand_from build" -s r -l release -d 'Build artifacts in release mode, with optimizations'
complete -c maturin -n "__fish_seen_subcommand_from build" -l strip -d 'Strip the library for minimum file size'
complete -c maturin -n "__fish_seen_subcommand_from build" -l sdist -d 'Build a source distribution'
complete -c maturin -n "__fish_seen_subcommand_from build" -s f -l find-interpreter -d 'Find interpreters from the host machine'
complete -c maturin -n "__fish_seen_subcommand_from build" -l skip-auditwheel -d 'Don\'t check for manylinux compliance'
complete -c maturin -n "__fish_seen_subcommand_from build" -l zig -d 'For manylinux targets, use zig to ensure compliance for the chosen manylinux version'
complete -c maturin -n "__fish_seen_subcommand_from build" -s q -l quiet -d 'Do not print cargo log messages'
complete -c maturin -n "__fish_seen_subcommand_from build" -l all-features -d 'Activate all available features'
complete -c maturin -n "__fish_seen_subcommand_from build" -l no-default-features -d 'Do not activate the `default` feature'
complete -c maturin -n "__fish_seen_subcommand_from build" -l ignore-rust-version -d 'Ignore `rust-version` specification in packages'
complete -c maturin -n "__fish_seen_subcommand_from build" -s v -l verbose -d 'Use verbose output (-vv very verbose/build.rs output)'
complete -c maturin -n "__fish_seen_subcommand_from build" -l frozen -d 'Require Cargo.lock and cache are up to date'
complete -c maturin -n "__fish_seen_subcommand_from build" -l locked -d 'Require Cargo.lock is up to date'
complete -c maturin -n "__fish_seen_subcommand_from build" -l offline -d 'Run without accessing the network'
complete -c maturin -n "__fish_seen_subcommand_from build" -l future-incompat-report -d 'Outputs a future incompatibility report at the end of the build (unstable)'
complete -c maturin -n "__fish_seen_subcommand_from build" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c maturin -n "__fish_seen_subcommand_from publish" -s r -l repository -d 'The repository (package index) to upload the package to. Should be a section in the config file' -r
complete -c maturin -n "__fish_seen_subcommand_from publish" -l repository-url -d 'The URL of the registry where the wheels are uploaded to. This overrides --repository' -r
complete -c maturin -n "__fish_seen_subcommand_from publish" -s u -l username -d 'Username for pypi or your custom registry' -r
complete -c maturin -n "__fish_seen_subcommand_from publish" -s p -l password -d 'Password for pypi or your custom registry' -r
complete -c maturin -n "__fish_seen_subcommand_from publish" -l compatibility -d 'Control the platform tag on linux' -r
complete -c maturin -n "__fish_seen_subcommand_from publish" -s i -l interpreter -d 'The python versions to build wheels for, given as the executables of interpreters such as `python3.9` or `/usr/bin/python3.8`' -r -F
complete -c maturin -n "__fish_seen_subcommand_from publish" -s b -l bindings -d 'Which kind of bindings to use' -r -f -a "{pyo3	'',pyo3-ffi	'',cffi	'',uniffi	'',bin	''}"
complete -c maturin -n "__fish_seen_subcommand_from publish" -s o -l out -d 'The directory to store the built wheels in. Defaults to a new "wheels" directory in the project\'s target directory' -r -F
complete -c maturin -n "__fish_seen_subcommand_from publish" -l auditwheel -d 'Audit wheel for manylinux compliance' -r -f -a "{repair	'Audit and repair wheel for manylinux compliance',check	'Check wheel for manylinux compliance, but do not repair',skip	'Don\'t check for manylinux compliance'}"
complete -c maturin -n "__fish_seen_subcommand_from publish" -s j -l jobs -d 'Number of parallel jobs, defaults to # of CPUs' -r
complete -c maturin -n "__fish_seen_subcommand_from publish" -l profile -d 'Build artifacts with the specified Cargo profile' -r
complete -c maturin -n "__fish_seen_subcommand_from publish" -s F -l features -d 'Space or comma separated list of features to activate' -r
complete -c maturin -n "__fish_seen_subcommand_from publish" -l target -d 'Build for the target triple' -r
complete -c maturin -n "__fish_seen_subcommand_from publish" -l target-dir -d 'Directory for all generated artifacts' -r -F
complete -c maturin -n "__fish_seen_subcommand_from publish" -s m -l manifest-path -d 'Path to Cargo.toml' -r -F
complete -c maturin -n "__fish_seen_subcommand_from publish" -l color -d 'Coloring: auto, always, never' -r
complete -c maturin -n "__fish_seen_subcommand_from publish" -l config -d 'Override a configuration value (unstable)' -r
complete -c maturin -n "__fish_seen_subcommand_from publish" -s Z -d 'Unstable (nightly-only) flags to Cargo, see \'cargo -Z help\' for details' -r
complete -c maturin -n "__fish_seen_subcommand_from publish" -l timings -d 'Timing output formats (unstable) (comma separated): html, json' -r
complete -c maturin -n "__fish_seen_subcommand_from publish" -l debug -d 'Do not pass --release to cargo'
complete -c maturin -n "__fish_seen_subcommand_from publish" -l no-strip -d 'Do not strip the library for minimum file size'
complete -c maturin -n "__fish_seen_subcommand_from publish" -l no-sdist -d 'Don\'t build a source distribution'
complete -c maturin -n "__fish_seen_subcommand_from publish" -l skip-existing -d 'Continue uploading files if one already exists. (Only valid when uploading to PyPI. Other implementations may not support this.)'
complete -c maturin -n "__fish_seen_subcommand_from publish" -l non-interactive -d 'Do not interactively prompt for username/password if the required credentials are missing'
complete -c maturin -n "__fish_seen_subcommand_from publish" -s f -l find-interpreter -d 'Find interpreters from the host machine'
complete -c maturin -n "__fish_seen_subcommand_from publish" -l skip-auditwheel -d 'Don\'t check for manylinux compliance'
complete -c maturin -n "__fish_seen_subcommand_from publish" -l zig -d 'For manylinux targets, use zig to ensure compliance for the chosen manylinux version'
complete -c maturin -n "__fish_seen_subcommand_from publish" -s q -l quiet -d 'Do not print cargo log messages'
complete -c maturin -n "__fish_seen_subcommand_from publish" -l all-features -d 'Activate all available features'
complete -c maturin -n "__fish_seen_subcommand_from publish" -l no-default-features -d 'Do not activate the `default` feature'
complete -c maturin -n "__fish_seen_subcommand_from publish" -l ignore-rust-version -d 'Ignore `rust-version` specification in packages'
complete -c maturin -n "__fish_seen_subcommand_from publish" -s v -l verbose -d 'Use verbose output (-vv very verbose/build.rs output)'
complete -c maturin -n "__fish_seen_subcommand_from publish" -l frozen -d 'Require Cargo.lock and cache are up to date'
complete -c maturin -n "__fish_seen_subcommand_from publish" -l locked -d 'Require Cargo.lock is up to date'
complete -c maturin -n "__fish_seen_subcommand_from publish" -l offline -d 'Run without accessing the network'
complete -c maturin -n "__fish_seen_subcommand_from publish" -l future-incompat-report -d 'Outputs a future incompatibility report at the end of the build (unstable)'
complete -c maturin -n "__fish_seen_subcommand_from publish" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c maturin -n "__fish_seen_subcommand_from list-python" -l target -r
complete -c maturin -n "__fish_seen_subcommand_from list-python" -s v -l verbose -d 'Use verbose output'
complete -c maturin -n "__fish_seen_subcommand_from list-python" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c maturin -n "__fish_seen_subcommand_from develop" -s b -l bindings -d 'Which kind of bindings to use' -r -f -a "{pyo3	'',pyo3-ffi	'',cffi	'',uniffi	'',bin	''}"
complete -c maturin -n "__fish_seen_subcommand_from develop" -s E -l extras -d 'Install extra requires aka. optional dependencies' -r
complete -c maturin -n "__fish_seen_subcommand_from develop" -l pip-path -d 'Use a specific pip installation instead of the default one' -r -F
complete -c maturin -n "__fish_seen_subcommand_from develop" -s j -l jobs -d 'Number of parallel jobs, defaults to # of CPUs' -r
complete -c maturin -n "__fish_seen_subcommand_from develop" -l profile -d 'Build artifacts with the specified Cargo profile' -r
complete -c maturin -n "__fish_seen_subcommand_from develop" -s F -l features -d 'Space or comma separated list of features to activate' -r
complete -c maturin -n "__fish_seen_subcommand_from develop" -l target -d 'Build for the target triple' -r
complete -c maturin -n "__fish_seen_subcommand_from develop" -l target-dir -d 'Directory for all generated artifacts' -r -F
complete -c maturin -n "__fish_seen_subcommand_from develop" -s m -l manifest-path -d 'Path to Cargo.toml' -r -F
complete -c maturin -n "__fish_seen_subcommand_from develop" -l color -d 'Coloring: auto, always, never' -r
complete -c maturin -n "__fish_seen_subcommand_from develop" -l config -d 'Override a configuration value (unstable)' -r
complete -c maturin -n "__fish_seen_subcommand_from develop" -s Z -d 'Unstable (nightly-only) flags to Cargo, see \'cargo -Z help\' for details' -r
complete -c maturin -n "__fish_seen_subcommand_from develop" -l timings -d 'Timing output formats (unstable) (comma separated): html, json' -r
complete -c maturin -n "__fish_seen_subcommand_from develop" -s r -l release -d 'Pass --release to cargo'
complete -c maturin -n "__fish_seen_subcommand_from develop" -l strip -d 'Strip the library for minimum file size'
complete -c maturin -n "__fish_seen_subcommand_from develop" -l skip-install -d 'Skip installation, only build the extension module inplace'
complete -c maturin -n "__fish_seen_subcommand_from develop" -s q -l quiet -d 'Do not print cargo log messages'
complete -c maturin -n "__fish_seen_subcommand_from develop" -l all-features -d 'Activate all available features'
complete -c maturin -n "__fish_seen_subcommand_from develop" -l no-default-features -d 'Do not activate the `default` feature'
complete -c maturin -n "__fish_seen_subcommand_from develop" -l ignore-rust-version -d 'Ignore `rust-version` specification in packages'
complete -c maturin -n "__fish_seen_subcommand_from develop" -s v -l verbose -d 'Use verbose output (-vv very verbose/build.rs output)'
complete -c maturin -n "__fish_seen_subcommand_from develop" -l frozen -d 'Require Cargo.lock and cache are up to date'
complete -c maturin -n "__fish_seen_subcommand_from develop" -l locked -d 'Require Cargo.lock is up to date'
complete -c maturin -n "__fish_seen_subcommand_from develop" -l offline -d 'Run without accessing the network'
complete -c maturin -n "__fish_seen_subcommand_from develop" -l future-incompat-report -d 'Outputs a future incompatibility report at the end of the build (unstable)'
complete -c maturin -n "__fish_seen_subcommand_from develop" -l uv -d 'Use `uv` to install packages instead of `pip`'
complete -c maturin -n "__fish_seen_subcommand_from develop" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c maturin -n "__fish_seen_subcommand_from sdist" -s m -l manifest-path -d 'The path to the Cargo.toml' -r -F
complete -c maturin -n "__fish_seen_subcommand_from sdist" -s o -l out -d 'The directory to store the built wheels in. Defaults to a new "wheels" directory in the project\'s target directory' -r -F
complete -c maturin -n "__fish_seen_subcommand_from sdist" -s v -l verbose -d 'Use verbose output'
complete -c maturin -n "__fish_seen_subcommand_from sdist" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c maturin -n "__fish_seen_subcommand_from init" -l name -d 'Set the resulting package name, defaults to the directory name' -r
complete -c maturin -n "__fish_seen_subcommand_from init" -s b -l bindings -d 'Which kind of bindings to use' -r -f -a "{pyo3	'',cffi	'',uniffi	'',bin	''}"
complete -c maturin -n "__fish_seen_subcommand_from init" -l mixed -d 'Use mixed Rust/Python project layout'
complete -c maturin -n "__fish_seen_subcommand_from init" -l src -d 'Use Python first src layout for mixed Rust/Python project'
complete -c maturin -n "__fish_seen_subcommand_from init" -s v -l verbose -d 'Use verbose output'
complete -c maturin -n "__fish_seen_subcommand_from init" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c maturin -n "__fish_seen_subcommand_from new" -l name -d 'Set the resulting package name, defaults to the directory name' -r
complete -c maturin -n "__fish_seen_subcommand_from new" -s b -l bindings -d 'Which kind of bindings to use' -r -f -a "{pyo3	'',cffi	'',uniffi	'',bin	''}"
complete -c maturin -n "__fish_seen_subcommand_from new" -l mixed -d 'Use mixed Rust/Python project layout'
complete -c maturin -n "__fish_seen_subcommand_from new" -l src -d 'Use Python first src layout for mixed Rust/Python project'
complete -c maturin -n "__fish_seen_subcommand_from new" -s v -l verbose -d 'Use verbose output'
complete -c maturin -n "__fish_seen_subcommand_from new" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c maturin -n "__fish_seen_subcommand_from generate-ci" -s m -l manifest-path -d 'Path to Cargo.toml' -r -F
complete -c maturin -n "__fish_seen_subcommand_from generate-ci" -s o -l output -d 'Output path' -r -F
complete -c maturin -n "__fish_seen_subcommand_from generate-ci" -l platform -d 'Platform support' -r -f -a "{all	'All',manylinux	'Manylinux',musllinux	'Musllinux',windows	'Windows',macos	'macOS',emscripten	'Emscripten'}"
complete -c maturin -n "__fish_seen_subcommand_from generate-ci" -l pytest -d 'Enable pytest'
complete -c maturin -n "__fish_seen_subcommand_from generate-ci" -l zig -d 'Use zig to do cross compilation'
complete -c maturin -n "__fish_seen_subcommand_from generate-ci" -s v -l verbose -d 'Use verbose output'
complete -c maturin -n "__fish_seen_subcommand_from generate-ci" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c maturin -n "__fish_seen_subcommand_from upload" -s r -l repository -d 'The repository (package index) to upload the package to. Should be a section in the config file' -r
complete -c maturin -n "__fish_seen_subcommand_from upload" -l repository-url -d 'The URL of the registry where the wheels are uploaded to. This overrides --repository' -r
complete -c maturin -n "__fish_seen_subcommand_from upload" -s u -l username -d 'Username for pypi or your custom registry' -r
complete -c maturin -n "__fish_seen_subcommand_from upload" -s p -l password -d 'Password for pypi or your custom registry' -r
complete -c maturin -n "__fish_seen_subcommand_from upload" -l skip-existing -d 'Continue uploading files if one already exists. (Only valid when uploading to PyPI. Other implementations may not support this.)'
complete -c maturin -n "__fish_seen_subcommand_from upload" -l non-interactive -d 'Do not interactively prompt for username/password if the required credentials are missing'
complete -c maturin -n "__fish_seen_subcommand_from upload" -s v -l verbose -d 'Use verbose output'
complete -c maturin -n "__fish_seen_subcommand_from upload" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and not __fish_seen_subcommand_from write-dist-info; and not __fish_seen_subcommand_from build-wheel; and not __fish_seen_subcommand_from write-sdist; and not __fish_seen_subcommand_from help" -s v -l verbose -d 'Use verbose output'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and not __fish_seen_subcommand_from write-dist-info; and not __fish_seen_subcommand_from build-wheel; and not __fish_seen_subcommand_from write-sdist; and not __fish_seen_subcommand_from help" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and not __fish_seen_subcommand_from write-dist-info; and not __fish_seen_subcommand_from build-wheel; and not __fish_seen_subcommand_from write-sdist; and not __fish_seen_subcommand_from help" -f -a "write-dist-info" -d 'The implementation of prepare_metadata_for_build_wheel'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and not __fish_seen_subcommand_from write-dist-info; and not __fish_seen_subcommand_from build-wheel; and not __fish_seen_subcommand_from write-sdist; and not __fish_seen_subcommand_from help" -f -a "build-wheel" -d 'Implementation of build_wheel'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and not __fish_seen_subcommand_from write-dist-info; and not __fish_seen_subcommand_from build-wheel; and not __fish_seen_subcommand_from write-sdist; and not __fish_seen_subcommand_from help" -f -a "write-sdist" -d 'The implementation of build_sdist'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and not __fish_seen_subcommand_from write-dist-info; and not __fish_seen_subcommand_from build-wheel; and not __fish_seen_subcommand_from write-sdist; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -l compatibility -d 'Control the platform tag on linux' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -s i -l interpreter -d 'The python versions to build wheels for, given as the executables of interpreters such as `python3.9` or `/usr/bin/python3.8`' -r -F
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -s b -l bindings -d 'Which kind of bindings to use' -r -f -a "{pyo3	'',pyo3-ffi	'',cffi	'',uniffi	'',bin	''}"
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -s o -l out -d 'The directory to store the built wheels in. Defaults to a new "wheels" directory in the project\'s target directory' -r -F
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -l auditwheel -d 'Audit wheel for manylinux compliance' -r -f -a "{repair	'Audit and repair wheel for manylinux compliance',check	'Check wheel for manylinux compliance, but do not repair',skip	'Don\'t check for manylinux compliance'}"
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -s j -l jobs -d 'Number of parallel jobs, defaults to # of CPUs' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -l profile -d 'Build artifacts with the specified Cargo profile' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -s F -l features -d 'Space or comma separated list of features to activate' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -l target -d 'Build for the target triple' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -l target-dir -d 'Directory for all generated artifacts' -r -F
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -s m -l manifest-path -d 'Path to Cargo.toml' -r -F
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -l color -d 'Coloring: auto, always, never' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -l config -d 'Override a configuration value (unstable)' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -s Z -d 'Unstable (nightly-only) flags to Cargo, see \'cargo -Z help\' for details' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -l timings -d 'Timing output formats (unstable) (comma separated): html, json' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -l metadata-directory -d 'The metadata_directory argument to prepare_metadata_for_build_wheel' -r -F
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -s f -l find-interpreter -d 'Find interpreters from the host machine'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -l skip-auditwheel -d 'Don\'t check for manylinux compliance'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -l zig -d 'For manylinux targets, use zig to ensure compliance for the chosen manylinux version'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -s q -l quiet -d 'Do not print cargo log messages'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -l all-features -d 'Activate all available features'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -l no-default-features -d 'Do not activate the `default` feature'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -l ignore-rust-version -d 'Ignore `rust-version` specification in packages'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -s v -l verbose -d 'Use verbose output (-vv very verbose/build.rs output)'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -l frozen -d 'Require Cargo.lock and cache are up to date'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -l locked -d 'Require Cargo.lock is up to date'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -l offline -d 'Run without accessing the network'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -l future-incompat-report -d 'Outputs a future incompatibility report at the end of the build (unstable)'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -l strip -d 'Strip the library for minimum file size'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -l compatibility -d 'Control the platform tag on linux' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -s i -l interpreter -d 'The python versions to build wheels for, given as the executables of interpreters such as `python3.9` or `/usr/bin/python3.8`' -r -F
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -s b -l bindings -d 'Which kind of bindings to use' -r -f -a "{pyo3	'',pyo3-ffi	'',cffi	'',uniffi	'',bin	''}"
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -s o -l out -d 'The directory to store the built wheels in. Defaults to a new "wheels" directory in the project\'s target directory' -r -F
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -l auditwheel -d 'Audit wheel for manylinux compliance' -r -f -a "{repair	'Audit and repair wheel for manylinux compliance',check	'Check wheel for manylinux compliance, but do not repair',skip	'Don\'t check for manylinux compliance'}"
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -s j -l jobs -d 'Number of parallel jobs, defaults to # of CPUs' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -l profile -d 'Build artifacts with the specified Cargo profile' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -s F -l features -d 'Space or comma separated list of features to activate' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -l target -d 'Build for the target triple' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -l target-dir -d 'Directory for all generated artifacts' -r -F
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -s m -l manifest-path -d 'Path to Cargo.toml' -r -F
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -l color -d 'Coloring: auto, always, never' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -l config -d 'Override a configuration value (unstable)' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -s Z -d 'Unstable (nightly-only) flags to Cargo, see \'cargo -Z help\' for details' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -l timings -d 'Timing output formats (unstable) (comma separated): html, json' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -s f -l find-interpreter -d 'Find interpreters from the host machine'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -l skip-auditwheel -d 'Don\'t check for manylinux compliance'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -l zig -d 'For manylinux targets, use zig to ensure compliance for the chosen manylinux version'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -s q -l quiet -d 'Do not print cargo log messages'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -l all-features -d 'Activate all available features'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -l no-default-features -d 'Do not activate the `default` feature'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -l ignore-rust-version -d 'Ignore `rust-version` specification in packages'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -s v -l verbose -d 'Use verbose output (-vv very verbose/build.rs output)'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -l frozen -d 'Require Cargo.lock and cache are up to date'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -l locked -d 'Require Cargo.lock is up to date'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -l offline -d 'Run without accessing the network'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -l future-incompat-report -d 'Outputs a future incompatibility report at the end of the build (unstable)'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -l strip -d 'Strip the library for minimum file size'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -l editable -d 'Build editable wheels'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-sdist" -l sdist-directory -d 'The sdist_directory argument to build_sdist' -r -F
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-sdist" -s m -l manifest-path -d 'The path to the Cargo.toml' -r -F
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-sdist" -s v -l verbose -d 'Use verbose output'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-sdist" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from write-dist-info; and not __fish_seen_subcommand_from build-wheel; and not __fish_seen_subcommand_from write-sdist; and not __fish_seen_subcommand_from help" -f -a "write-dist-info" -d 'The implementation of prepare_metadata_for_build_wheel'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from write-dist-info; and not __fish_seen_subcommand_from build-wheel; and not __fish_seen_subcommand_from write-sdist; and not __fish_seen_subcommand_from help" -f -a "build-wheel" -d 'Implementation of build_wheel'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from write-dist-info; and not __fish_seen_subcommand_from build-wheel; and not __fish_seen_subcommand_from write-sdist; and not __fish_seen_subcommand_from help" -f -a "write-sdist" -d 'The implementation of build_sdist'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from write-dist-info; and not __fish_seen_subcommand_from build-wheel; and not __fish_seen_subcommand_from write-sdist; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c maturin -n "__fish_seen_subcommand_from completions" -s v -l verbose -d 'Use verbose output'
complete -c maturin -n "__fish_seen_subcommand_from completions" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c maturin -n "__fish_seen_subcommand_from zig; and not __fish_seen_subcommand_from cc; and not __fish_seen_subcommand_from c++; and not __fish_seen_subcommand_from ar; and not __fish_seen_subcommand_from ranlib; and not __fish_seen_subcommand_from help" -s v -l verbose -d 'Use verbose output'
complete -c maturin -n "__fish_seen_subcommand_from zig; and not __fish_seen_subcommand_from cc; and not __fish_seen_subcommand_from c++; and not __fish_seen_subcommand_from ar; and not __fish_seen_subcommand_from ranlib; and not __fish_seen_subcommand_from help" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c maturin -n "__fish_seen_subcommand_from zig; and not __fish_seen_subcommand_from cc; and not __fish_seen_subcommand_from c++; and not __fish_seen_subcommand_from ar; and not __fish_seen_subcommand_from ranlib; and not __fish_seen_subcommand_from help" -f -a "cc" -d '`zig cc` wrapper'
complete -c maturin -n "__fish_seen_subcommand_from zig; and not __fish_seen_subcommand_from cc; and not __fish_seen_subcommand_from c++; and not __fish_seen_subcommand_from ar; and not __fish_seen_subcommand_from ranlib; and not __fish_seen_subcommand_from help" -f -a "c++" -d '`zig c++` wrapper'
complete -c maturin -n "__fish_seen_subcommand_from zig; and not __fish_seen_subcommand_from cc; and not __fish_seen_subcommand_from c++; and not __fish_seen_subcommand_from ar; and not __fish_seen_subcommand_from ranlib; and not __fish_seen_subcommand_from help" -f -a "ar" -d '`zig ar` wrapper'
complete -c maturin -n "__fish_seen_subcommand_from zig; and not __fish_seen_subcommand_from cc; and not __fish_seen_subcommand_from c++; and not __fish_seen_subcommand_from ar; and not __fish_seen_subcommand_from ranlib; and not __fish_seen_subcommand_from help" -f -a "ranlib" -d '`zig ranlib` wrapper'
complete -c maturin -n "__fish_seen_subcommand_from zig; and not __fish_seen_subcommand_from cc; and not __fish_seen_subcommand_from c++; and not __fish_seen_subcommand_from ar; and not __fish_seen_subcommand_from ranlib; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c maturin -n "__fish_seen_subcommand_from zig; and __fish_seen_subcommand_from cc" -s v -l verbose -d 'Use verbose output'
complete -c maturin -n "__fish_seen_subcommand_from zig; and __fish_seen_subcommand_from cc" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c maturin -n "__fish_seen_subcommand_from zig; and __fish_seen_subcommand_from c++" -s v -l verbose -d 'Use verbose output'
complete -c maturin -n "__fish_seen_subcommand_from zig; and __fish_seen_subcommand_from c++" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c maturin -n "__fish_seen_subcommand_from zig; and __fish_seen_subcommand_from ar" -s v -l verbose -d 'Use verbose output'
complete -c maturin -n "__fish_seen_subcommand_from zig; and __fish_seen_subcommand_from ar" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c maturin -n "__fish_seen_subcommand_from zig; and __fish_seen_subcommand_from ranlib" -s v -l verbose -d 'Use verbose output'
complete -c maturin -n "__fish_seen_subcommand_from zig; and __fish_seen_subcommand_from ranlib" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c maturin -n "__fish_seen_subcommand_from zig; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from cc; and not __fish_seen_subcommand_from c++; and not __fish_seen_subcommand_from ar; and not __fish_seen_subcommand_from ranlib; and not __fish_seen_subcommand_from help" -f -a "cc" -d '`zig cc` wrapper'
complete -c maturin -n "__fish_seen_subcommand_from zig; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from cc; and not __fish_seen_subcommand_from c++; and not __fish_seen_subcommand_from ar; and not __fish_seen_subcommand_from ranlib; and not __fish_seen_subcommand_from help" -f -a "c++" -d '`zig c++` wrapper'
complete -c maturin -n "__fish_seen_subcommand_from zig; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from cc; and not __fish_seen_subcommand_from c++; and not __fish_seen_subcommand_from ar; and not __fish_seen_subcommand_from ranlib; and not __fish_seen_subcommand_from help" -f -a "ar" -d '`zig ar` wrapper'
complete -c maturin -n "__fish_seen_subcommand_from zig; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from cc; and not __fish_seen_subcommand_from c++; and not __fish_seen_subcommand_from ar; and not __fish_seen_subcommand_from ranlib; and not __fish_seen_subcommand_from help" -f -a "ranlib" -d '`zig ranlib` wrapper'
complete -c maturin -n "__fish_seen_subcommand_from zig; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from cc; and not __fish_seen_subcommand_from c++; and not __fish_seen_subcommand_from ar; and not __fish_seen_subcommand_from ranlib; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c maturin -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from list-python; and not __fish_seen_subcommand_from develop; and not __fish_seen_subcommand_from sdist; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from new; and not __fish_seen_subcommand_from generate-ci; and not __fish_seen_subcommand_from upload; and not __fish_seen_subcommand_from pep517; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from zig; and not __fish_seen_subcommand_from help" -f -a "build" -d 'Build the crate into python packages'
complete -c maturin -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from list-python; and not __fish_seen_subcommand_from develop; and not __fish_seen_subcommand_from sdist; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from new; and not __fish_seen_subcommand_from generate-ci; and not __fish_seen_subcommand_from upload; and not __fish_seen_subcommand_from pep517; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from zig; and not __fish_seen_subcommand_from help" -f -a "publish" -d 'Build and publish the crate as python packages to pypi'
complete -c maturin -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from list-python; and not __fish_seen_subcommand_from develop; and not __fish_seen_subcommand_from sdist; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from new; and not __fish_seen_subcommand_from generate-ci; and not __fish_seen_subcommand_from upload; and not __fish_seen_subcommand_from pep517; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from zig; and not __fish_seen_subcommand_from help" -f -a "list-python" -d 'Search and list the available python installations'
complete -c maturin -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from list-python; and not __fish_seen_subcommand_from develop; and not __fish_seen_subcommand_from sdist; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from new; and not __fish_seen_subcommand_from generate-ci; and not __fish_seen_subcommand_from upload; and not __fish_seen_subcommand_from pep517; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from zig; and not __fish_seen_subcommand_from help" -f -a "develop" -d 'Install the crate as module in the current virtualenv'
complete -c maturin -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from list-python; and not __fish_seen_subcommand_from develop; and not __fish_seen_subcommand_from sdist; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from new; and not __fish_seen_subcommand_from generate-ci; and not __fish_seen_subcommand_from upload; and not __fish_seen_subcommand_from pep517; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from zig; and not __fish_seen_subcommand_from help" -f -a "sdist" -d 'Build only a source distribution (sdist) without compiling'
complete -c maturin -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from list-python; and not __fish_seen_subcommand_from develop; and not __fish_seen_subcommand_from sdist; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from new; and not __fish_seen_subcommand_from generate-ci; and not __fish_seen_subcommand_from upload; and not __fish_seen_subcommand_from pep517; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from zig; and not __fish_seen_subcommand_from help" -f -a "init" -d 'Create a new cargo project in an existing directory'
complete -c maturin -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from list-python; and not __fish_seen_subcommand_from develop; and not __fish_seen_subcommand_from sdist; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from new; and not __fish_seen_subcommand_from generate-ci; and not __fish_seen_subcommand_from upload; and not __fish_seen_subcommand_from pep517; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from zig; and not __fish_seen_subcommand_from help" -f -a "new" -d 'Create a new cargo project'
complete -c maturin -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from list-python; and not __fish_seen_subcommand_from develop; and not __fish_seen_subcommand_from sdist; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from new; and not __fish_seen_subcommand_from generate-ci; and not __fish_seen_subcommand_from upload; and not __fish_seen_subcommand_from pep517; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from zig; and not __fish_seen_subcommand_from help" -f -a "generate-ci" -d 'Generate CI configuration'
complete -c maturin -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from list-python; and not __fish_seen_subcommand_from develop; and not __fish_seen_subcommand_from sdist; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from new; and not __fish_seen_subcommand_from generate-ci; and not __fish_seen_subcommand_from upload; and not __fish_seen_subcommand_from pep517; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from zig; and not __fish_seen_subcommand_from help" -f -a "upload" -d 'Upload python packages to pypi'
complete -c maturin -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from list-python; and not __fish_seen_subcommand_from develop; and not __fish_seen_subcommand_from sdist; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from new; and not __fish_seen_subcommand_from generate-ci; and not __fish_seen_subcommand_from upload; and not __fish_seen_subcommand_from pep517; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from zig; and not __fish_seen_subcommand_from help" -f -a "pep517" -d 'Backend for the PEP 517 integration. Not for human consumption'
complete -c maturin -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from list-python; and not __fish_seen_subcommand_from develop; and not __fish_seen_subcommand_from sdist; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from new; and not __fish_seen_subcommand_from generate-ci; and not __fish_seen_subcommand_from upload; and not __fish_seen_subcommand_from pep517; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from zig; and not __fish_seen_subcommand_from help" -f -a "completions" -d 'Generate shell completions'
complete -c maturin -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from list-python; and not __fish_seen_subcommand_from develop; and not __fish_seen_subcommand_from sdist; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from new; and not __fish_seen_subcommand_from generate-ci; and not __fish_seen_subcommand_from upload; and not __fish_seen_subcommand_from pep517; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from zig; and not __fish_seen_subcommand_from help" -f -a "zig" -d 'Zig linker wrapper'
complete -c maturin -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from list-python; and not __fish_seen_subcommand_from develop; and not __fish_seen_subcommand_from sdist; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from new; and not __fish_seen_subcommand_from generate-ci; and not __fish_seen_subcommand_from upload; and not __fish_seen_subcommand_from pep517; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from zig; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c maturin -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from pep517; and not __fish_seen_subcommand_from write-dist-info; and not __fish_seen_subcommand_from build-wheel; and not __fish_seen_subcommand_from write-sdist" -f -a "write-dist-info" -d 'The implementation of prepare_metadata_for_build_wheel'
complete -c maturin -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from pep517; and not __fish_seen_subcommand_from write-dist-info; and not __fish_seen_subcommand_from build-wheel; and not __fish_seen_subcommand_from write-sdist" -f -a "build-wheel" -d 'Implementation of build_wheel'
complete -c maturin -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from pep517; and not __fish_seen_subcommand_from write-dist-info; and not __fish_seen_subcommand_from build-wheel; and not __fish_seen_subcommand_from write-sdist" -f -a "write-sdist" -d 'The implementation of build_sdist'
complete -c maturin -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from zig; and not __fish_seen_subcommand_from cc; and not __fish_seen_subcommand_from c++; and not __fish_seen_subcommand_from ar; and not __fish_seen_subcommand_from ranlib" -f -a "cc" -d '`zig cc` wrapper'
complete -c maturin -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from zig; and not __fish_seen_subcommand_from cc; and not __fish_seen_subcommand_from c++; and not __fish_seen_subcommand_from ar; and not __fish_seen_subcommand_from ranlib" -f -a "c++" -d '`zig c++` wrapper'
complete -c maturin -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from zig; and not __fish_seen_subcommand_from cc; and not __fish_seen_subcommand_from c++; and not __fish_seen_subcommand_from ar; and not __fish_seen_subcommand_from ranlib" -f -a "ar" -d '`zig ar` wrapper'
complete -c maturin -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from zig; and not __fish_seen_subcommand_from cc; and not __fish_seen_subcommand_from c++; and not __fish_seen_subcommand_from ar; and not __fish_seen_subcommand_from ranlib" -f -a "ranlib" -d '`zig ranlib` wrapper'
